package sample.sample15;

public class 犬 implements 哺乳類 {
	public void 鳴く() {
		System.out.println("ワンワン");
	}

	public void 吠える() {
		System.out.println("ワン！ワン！");
	}

	public String getName() {
		return "犬";
	}

	public void 食べる(食べ物 食べ物) {
		if (食べ物 instanceof 犬の食べ物) {
			System.out.println(食べ物.getName() + "を食べました");
		} else {
			System.out.println(食べ物.getName() + "は食べられません");
		}
	}
}
